## org.apache.log4j.helpers
Class CountingQuietWriter

    java.lang.Object
      java.io.Writer
          java.io.FilterWriter
              org.apache.log4j.helpers.QuietWriter
                  org.apache.log4j.helpers.CountingQuietWriter

All Implemented Interfaces:
  Closeable, Flushable, Appendable

    public class CountingQuietWriter

extends QuietWriter

Counts the number of bytes written.

Since:
  0.8.1
Author:
  Heinz Richter, heinz.richter@frogdot.com

Field Summary
`protected long` `count`

Fields inherited from class org.apache.log4j.helpers.QuietWriter
`errorHandler`

Fields inherited from class java.io.FilterWriter
`out`

Fields inherited from class java.io.Writer
`lock`

Constructor Summary
`CountingQuietWriter(Writer writer, ErrorHandler eh)`

Method Summary
`long` `getCount()`
`void` `setCount(long count)`
`void` `write(String string)`

Methods inherited from class org.apache.log4j.helpers.QuietWriter
`flush, setErrorHandler`

Methods inherited from class java.io.FilterWriter
`close, write, write, write`

Methods inherited from class java.io.Writer
`append, append, append, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### count

    protected long count

Constructor Detail

### CountingQuietWriter

    public CountingQuietWriter(Writer writer,
                               ErrorHandler eh)

Method Detail

### write

    public void write(String string)

  Overrides:
    `write` in class `QuietWriter`

### getCount

    public long getCount()

### setCount

    public void setCount(long count)

Copyright © 1999-2012 Apache Software Foundation. All Rights Reserved.